AbstractEventModelSequenceTrainer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml

## Class AbstractEventModelSequenceTrainer

- java.lang.Object
- - opennlp.tools.ml.AbstractTrainer
  - - opennlp.tools.ml.AbstractEventModelSequenceTrainer

- All Implemented Interfaces:
    EventModelSequenceTrainer
  Direct Known Subclasses:
    SimplePerceptronSequenceTrainer

      public abstract class AbstractEventModelSequenceTrainer
      extends AbstractTrainer
      implements EventModelSequenceTrainer

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.ml.AbstractTrainer

      `ALGORITHM_PARAM, CUTOFF_DEFAULT, CUTOFF_PARAM, ITERATIONS_DEFAULT, ITERATIONS_PARAM, TRAINER_TYPE_PARAM, VERBOSE_DEFAULT, VERBOSE_PARAM`

    - ### Fields inherited from interface opennlp.tools.ml.EventModelSequenceTrainer

      `SEQUENCE_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEventModelSequenceTrainer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MaxentModel` | `doTrain(SequenceStream events)`
    `MaxentModel` | `train(SequenceStream events)`

    - ### Methods inherited from class opennlp.tools.ml.AbstractTrainer

      `getAlgorithm, getCutoff, getIterations, init, init, isValid, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.ml.EventModelSequenceTrainer

      `init, init`

- - ### Constructor Detail

    - #### AbstractEventModelSequenceTrainer

          public AbstractEventModelSequenceTrainer()

  - ### Method Detail

    - #### doTrain

          public abstract MaxentModel doTrain(SequenceStream events)
                                       throws IOException

      Throws:
        `IOException`

    - #### train

          public final MaxentModel train(SequenceStream events)
                                  throws IOException

      Specified by:
        `train` in interface `EventModelSequenceTrainer`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.